Knowledge Doc: Unable to initialize Identity Manager services after upgrade to eDirectory 9.2.7

0 Likes

Summary
After updating eDirectory to version 9.2.7, all Identity Manager services fail to start. In the ndsd.log file the following error is reported: Loader Failed:for lib/opt/novell/eDirectory/lib64/nds-modules/libdxldap.so.3.so,error lib/opt/novell/eDirectory/lib64/nds-modules/libdxldap.so.3.so: cannot open shared object file: No such file or directory,errno 2

Products
eDirectory (NetIQ eDirectory)

Environment
eDirectory 9.2.7
Identity Manager 4.8.5
Identity Manager 4.8.x

Situation
After updating eDirectory to version 9.2.7, all IDM services fail to start. In the ndsd.log file the following error is reported:
Loader Failed:for lib/opt/novell/eDirectory/lib64/nds-modules/libdxldap.so.3.so,error lib/opt/novell/eDirectory/lib64/nds-modules/libdxldap.so.3.so: cannot open shared object file: No such file or directory,errno 2

Cause
eDirectory 9.2.7 ships with a newer version of the log4cxx library which is not backward compatible with the one used in older releases. For this reason, this version of eDirectory is not backward compatible with versions prior to Identity Manager 4.8.6.

Resolution
The best solution to this problem is to upgrade Identity Manager to 4.8.6. Until this is available, we strongly advise not to upgrade eDirectory on servers running Identity Manager.

If you have already upgraded a production server to eDirectory 9.2.7 and this is affecting the Identity Manager services, please open a Case with Technical Services and we will evaluate the best option to get it working.

Knowledge Base Article Link


URL Name
KM000010751

Labels:

Knowledge Docs
Comment List
Related
Recommended